Bug 1031078 - (subnetcalc) Review Request: subnetcalc - An IPv4/IPv6 Subnet Calculator
Review Request: subnetcalc - An IPv4/IPv6 Subnet Calculator
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Yanko Kaneti
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-SECLAB
  Show dependency treegraph
 
Reported: 2013-11-15 09:57 EST by Christopher Meng
Modified: 2014-04-02 07:59 EDT (History)
4 users (show)

See Also:
Fixed In Version: subnetcalc-2.2.0-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-04 01:56:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
yaneti: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-11-15 09:57:32 EST
Spec URL: http://cicku.me/subnetcalc.spec
SRPM URL: http://cicku.me/subnetcalc-2.2.0-1.fc21.src.rpm
Description: SubNetCalc is an IPv4/IPv6 subnet address calculator. For given IPv4 or IPv6 address and netmask or prefix length, it calculates network address, broadcast address, maximum number of hosts and host address range. Also, it prints the addresses in binary format for better understandability. Furthermore, it prints useful information on specific address types (e.g. type, scope, 
interface ID, etc.).
Fedora Account System Username: cicku
Comment 1 Yanko Kaneti 2013-11-15 11:46:35 EST
Source matches.
Doesn't conflict.
Builds in mock.
Works.

The license should be GPLv3+, please fix before importing.

APPROVED
Comment 2 Christopher Meng 2013-11-16 10:07:33 EST
Thank you s000000000000 much!

New Package SCM Request
=======================
Package Name: subnetcalc
Short Description: An IPv4/IPv6 Subnet Calculator
Owners: cicku
Branches: f20 f19
Comment 3 Gwyn Ciesla 2013-11-18 08:11:04 EST
Git done (by process-git-requests).
Comment 4 Fedora Update System 2013-11-19 22:23:22 EST
subnetcalc-2.2.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/subnetcalc-2.2.0-1.fc19
Comment 5 Fedora Update System 2013-11-19 22:27:15 EST
subnetcalc-2.2.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/subnetcalc-2.2.0-1.fc20
Comment 6 Fedora Update System 2013-11-23 14:30:58 EST
subnetcalc-2.2.0-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 7 Fedora Update System 2013-12-04 01:56:40 EST
subnetcalc-2.2.0-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 8 Fedora Update System 2013-12-13 22:44:04 EST
subnetcalc-2.2.0-1.fc20 has been pushed to the Fedora 20 stable repository.
Comment 9 Christopher Meng 2014-04-02 00:08:28 EDT
Package Change Request
======================
Package Name: subnetcalc
New Branches: el6 epel7
Owners: cicku
Comment 10 Gwyn Ciesla 2014-04-02 07:59:13 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.